%define section   free

Name:           jmock
Version:        1.0.0
Release:        2jpp
Epoch:          0
Summary:        Test Java code using mock objects

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://jmock.codehaus.org/
Source0:        jmock-1.0.0-src.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.37
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  cglib >= 0:2.0
BuildRequires:  asm >= 0:1.4.1
Requires:  cglib >= 0:2.0
Requires:  asm >= 0:1.4.1

%description
jMock is a library for testing Java code using mock objects.
Mock objects help you design and test the interactions between the 
objects in your programs.
The jMock package:
* makes it quick and easy to define mock objects, so you don't break 
  the rhythm of programming.
* lets you define flexible constraints over object interactions, 
  reducing the brittleness of your tests.
* is easy to extend.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description    demo
%{summary}.


%prep
%setup -q -c %{name}-%{version}
mv %{name}-%{version}/* .
rmdir %{name}-%{version}
find . -name "*.jar" -exec rm {} \;

%build
export CLASSPATH=$(build-classpath \
asm \
cglib \
junit)
CLASSPATH=build/core:build/cglib:$CLASSPATH
ant -Dbuild.sysclasspath=only


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 build/dist/jars/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -pm 644 build/dist/jars/%{name}-cglib-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-cglib-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-cglib-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-cglib.jar
#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc-%{version}/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt overview.html
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}-%{version}
%ghost %doc %{_datadir}/%{name}


%changelog
* Fri Jun 04 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.0-2jpp
- Graduate to free section for use with qdox-1.4

* Tue Jun 01 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.0-1jpp
- First JPackage release

